package com.testor.module.threeframework.enums;

/**
 * TODO
 *
 * @author L
 * @version 1.0
 * @date 2022-09-19 10:02
 */
public enum ThreeTimePlanEnum {

    SHARPENING("1", "可研"),
    INITIAL_DESIGN("2", "初设"),
    CONSTRUCTION("3", "施工"),
    ACCEPTANCE("4", "验收"),
    EVALUATION("5", "后评价"),
    FINISH("6","已完成")
    ;

    /**
     * 值
     */
    private String code;

    /**
     * 名称
     */
    private String name;

    ThreeTimePlanEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public static String getName(String code) {
        ThreeTimePlanEnum[] values = ThreeTimePlanEnum.values();
        for (ThreeTimePlanEnum value : values) {
            if (value.code.equals(code)) {
                return value.name;
            }
        }
        return null;
    }
}
